Returns the full visitor record, including browser details, page history, and selected metadata-derived fields.
/api/visitors/{id}Returns the full visitor record, including browser details, page history, and selected metadata-derived fields.
Bearer API key or X-API-Key header.visitors:readautomation_api)Resource identifier.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"orgId": "770e8400-e29b-41d4-a716-446655440000",
"identifier": "[email protected]",
"publicCode": "example",
"identitySource": "anonymous",
"identityVerifiedAt": "2026-08-04T10:00:00.000Z",
"fingerprint": "fp_123",
"firstSeenAt": "2026-06-20T08:00:00.000Z",
"lastSeenAt": "2026-06-23T08:00:00.000Z",
"totalSessions": 5,
"geoCountry": "US",
"geoCity": "New York",
"name": "Example name",
"email": "[email protected]",
"phone": "+48123456789",
"tags": [],
"conversationCount": 0,
"isActive": true,
"totalTimeOnSiteSeconds": 0,
"metadata": {},
"createdAt": "2026-06-20T08:00:00.000Z",
"updatedAt": "2026-06-23T08:00:00.000Z",
"browser": {
"name": "Chrome",
"version": "126.0",
"userAgent": "example",
"isMobile": true,
"isTablet": true,
"isDesktop": true,
"os": "macOS",
"osVersion": "example"
},
"lastPage": "https://customer.example.org/pricing",
"isReturning": true,
"pageJourney": [
{
"url": "https://customer.example.org/pricing",
"visitedAt": "2026-06-23T08:00:00.000Z"
}
],
"userAgent": "Mozilla/5.0",
"screenResolution": "1440x900",
"language": "en-US",
"notes": [],
"conversationHistory": []
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"fields": {
"property1": "string",
"property2": "string"
},
"details": {},
"correlationId": "string"
}
}curl --request GET \
'https://api.convor.io/api/visitors/550e8400-e29b-41d4-a716-446655440000' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer convor_sk_...'const response = await fetch("https://api.convor.io/api/visitors/550e8400-e29b-41d4-a716-446655440000", {
method: "GET",
headers: {
"Accept": "application/json",
"Authorization": "Bearer convor_sk_..."
},
});
const contentType = response.headers.get("content-type") ?? "";
const data = response.status === 204
? null
: contentType.includes("json")
? await response.json()
: contentType.startsWith("text/")
? await response.text()
: await response.blob();
if (!response.ok) {
const message = typeof data === "object" && data !== null
&& "error" in data && typeof data.error === "object"
&& data.error !== null && "message" in data.error
? String(data.error.message)
: "Convor API request failed (" + response.status + ")";
throw new Error(message);
}
console.log(data);Was this page helpful?